Watch Aspire live streamsDocsTry Aspire
Watch Aspire live streamsDocsTry

YarpRoute.withMatchRouteQueryParameter

Method
📦 Aspire.Hosting.Yarp v13.6.0
interface YarpRoute {
// ... omitted for brevity
withMatchRouteQueryParameter(queryParameters: YarpRouteQueryParameterMatch[]): YarpRoute;
}

Signature

methodwithMatchRouteQueryParameter
Only match requests that contain all of these query parameters.
withMatchRouteQueryParameter(queryParameters: YarpRouteQueryParameterMatch[]): YarpRoute
queryParametersYarpRouteQueryParameterMatch[]
YarpRoute

Defined on

This method is defined on the following type: